Skip to main content
GET
/
userGroups
Get user groups
curl --request GET \
  --url https://api.galtea.ai/userGroups \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "ug_123",
    "organizationId": "org_123",
    "name": "QA Team",
    "type": "EVALUATOR",
    "description": "Quality assurance team",
    "createdAt": "2023-11-07T05:31:56Z",
    "userIds": [
      "user_123"
    ],
    "metricIds": [
      "metric_123"
    ]
  }
]

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Query Parameters

ids
string[]

Filter by user group IDs

organizationIds
string[]

Filter by organization IDs

types
string[]

Filter by user group types

userIds
string[]

Filter by user IDs (groups containing these users)

metricIds
string[]

Filter by metric IDs (groups linked to these metrics)

names
string[]

Filter by user group names

fromCreatedAt
string<date-time>

Filter groups created at or after this timestamp (ISO 8601)

toCreatedAt
string<date-time>

Filter groups created at or before this timestamp (ISO 8601)

sort
string[]

Sort instructions (field and direction pairs)

limit
integer

Maximum number of results

offset
integer

Number of results to skip

Response

User groups retrieved successfully

id
string
Example:

"ug_123"

organizationId
string
Example:

"org_123"

name
string
Example:

"QA Team"

type
enum<string>
Available options:
EVALUATOR
Example:

"EVALUATOR"

description
string | null
Example:

"Quality assurance team"

createdAt
string<date-time>
userIds
string[]
Example:
["user_123"]
metricIds
string[]
Example:
["metric_123"]